Skip to main content
GET
Get stake authority rewards metrics
These endpoints return information about the rewards received by a delegator (stake account or stake authority), including MEV rewards it has claimed, and commissions it has paid. The data can be broken down at a daily level.
Earliest data available is from April 1, 2024.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

stake_authority
string
required

Query Parameters

limit
integer
default:15

The number of results returned per page

offset
integer
default:0

The number of results to skip before starting to return

fromDate
string<date> | null

Start date

Example:

"2023-01-01"

toDate
string<date> | null

End date

Example:

"2023-12-31"

from
any | null
deprecated

UTC day (deprecated in favour of fromDate)

includeDelegations
boolean
default:false

Include stake percentage of individual delegations in the results

Response

Successful Response

previous
string | null
required
next
string | null
required
pages
integer
required
Required range: x >= 0
results
SolanaDelegatorStakeAuthorityRewards · object[]
required